<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::GpuProgramParameters::AutoConstantEntry Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry.html">Ogre::GpuProgramParameters::AutoConstantEntry</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry.html#85e851ec680c281b635bb376eccf1338">AutoConstantEntry</a>(AutoConstantType theType, size_t theIndex, size_t theData, size_t theElemCount=4)</td><td><a class="el" href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry.html">Ogre::GpuProgramParameters::AutoConstantEntry</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry.html#298399411ddab662f2db3639488bf8e7">AutoConstantEntry</a>(AutoConstantType theType, size_t theIndex, Real theData, size_t theElemCount=4)</td><td><a class="el" href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry.html">Ogre::GpuProgramParameters::AutoConstantEntry</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry.html#e2c1d1787dfea05c7d03d5651f62d4ae">data</a></td><td><a class="el" href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry.html">Ogre::GpuProgramParameters::AutoConstantEntry</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry.html#6cd2d6e06a33f89850e9a77e4d61cc00">elementCount</a></td><td><a class="el" href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry.html">Ogre::GpuProgramParameters::AutoConstantEntry</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry.html#777743c3d2a651a844e57874d2e34f49">fData</a></td><td><a class="el" href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry.html">Ogre::GpuProgramParameters::AutoConstantEntry</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry.html#9e5a7f1a346e0d4493bb35fdfc5b4bba">paramType</a></td><td><a class="el" href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry.html">Ogre::GpuProgramParameters::AutoConstantEntry</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry.html#e93ddb6e48d13e9768915de45c9a2c57">physicalIndex</a></td><td><a class="el" href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry.html">Ogre::GpuProgramParameters::AutoConstantEntry</a></td><td></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:50 2008
</p>
</body>
</html>
